import * as React from 'react';
import { Feature } from '@common-stack/client-react';
import { Files, Editors } from '@files-stack/client-react';
import {reducers, setRootPath} from '@files-stack/client-redux';
import { resolvers, schema } from '@files-stack/graphql-gql';

const actionFunctions = [setRootPath];

export default new Feature({
    leftMainPanelItems: { files: <Files/> },
    middleMainPanelItems: { editors: <Editors/>},
    middleMainPanelItemsProps: {editors: {actionFunctions}},
    reducer: { ...reducers },
    resolver: resolvers,
    schema,
    dataIdFromObject: {
        'IFileStat': (result) => result.__typename + ':' + result.resource,
        'IContent': (result) => result.__typename + ':' + result.resource,
        'IStreamContent': (result) => result.__typename + ':' + result.resource,
        'IChangedContent': (result) => result.__typename + ':' + result.resource,
    },
});
